%global debug_package %{nil}

Name: python-subprocess-tee
Epoch: 100
Version: 0.3.5
Release: 1%{?dist}
BuildArch: noarch
Summary: Alternative to subprocess.run like tee
License: MIT
URL: https://github.com/pycontribs/subprocess-tee/releases
Source0: %{name}_%{version}.orig.tar.gz
BuildRequires: fdupes
BuildRequires: python-rpm-macros
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description
A subprocess.run drop-in replacement that supports a tee mode, being
able to display output in real time while still capturing it. No
dependencies needed.

%prep
%autosetup -T -c -n %{name}_%{version}-%{release}
tar -zx -f %{S:0} --strip-components=1 -C .

%build
%py3_build

%install
%py3_install
find %{buildroot}%{python3_sitelib} -type f -name '*.pyc' -exec rm -rf {} \;
%fdupes -s %{buildroot}%{python3_sitelib}

%check

%if 0%{?suse_version} > 1500
%package -n python%{python3_version_nodots}-subprocess-tee
Summary: Alternative to subprocess.run like tee
Requires: python3
Provides: python3-subprocess-tee = %{epoch}:%{version}-%{release}
Provides: python3dist(subprocess-tee) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-subprocess-tee = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(subprocess-tee) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-subprocess-tee = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(subprocess-tee) = %{epoch}:%{version}-%{release}

%description -n python%{python3_version_nodots}-subprocess-tee
A subprocess.run drop-in replacement that supports a tee mode, being
able to display output in real time while still capturing it. No
dependencies needed.

%files -n python%{python3_version_nodots}-subprocess-tee
%license LICENSE
%{python3_sitelib}/subprocess_tee*
%endif

%if !(0%{?suse_version} > 1500)
%package -n python3-subprocess-tee
Summary: Alternative to subprocess.run like tee
Requires: python3
Provides: python3-subprocess-tee = %{epoch}:%{version}-%{release}
Provides: python3dist(subprocess-tee) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-subprocess-tee = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(subprocess-tee) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-subprocess-tee = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(subprocess-tee) = %{epoch}:%{version}-%{release}

%description -n python3-subprocess-tee
A subprocess.run drop-in replacement that supports a tee mode, being
able to display output in real time while still capturing it. No
dependencies needed.

%files -n python3-subprocess-tee
%license LICENSE
%{python3_sitelib}/subprocess_tee*
%endif

%changelog
